%% Controller
s = tf('s');
K = 4.5724e11*(s+44.46)/((s+8.127e-08)*(s+0.0002334)*(s+384.9));

%% Open Simulink for Control
open rotating_frame_ctrl.slx

sim rotating_frame_ctrl.slx

%%
figure;
hold on;
plot(sim_out.Time, sim_out.Data(:, 1));
plot(sim_out.Time, sim_out.Data(:, 2));
hold off;
xlabel('Time (s)');
ylabel('Displacement (m)');
legend({'Dx', 'Dy'});

exportFig('D_x_y', 'wide-tall');

